Package org.eclipse.ecf.core.util

## Class LogHelper

- java.lang.Object
- - org.eclipse.ecf.core.util.LogHelper

    public class LogHelper
    extends Object

### Constructor Summary

Constructors
`LogHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getLogCode​(org.eclipse.core.runtime.IStatus status)`
`static String` `getLogMessage​(org.eclipse.core.runtime.IStatus status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogHelper

    public LogHelper()

### Method Detail

#### getLogCode

    public static int getLogCode​(org.eclipse.core.runtime.IStatus status)

#### getLogMessage

    public static String getLogMessage​(org.eclipse.core.runtime.IStatus status)

Parameters:
  `status` -
Returns:
  String the string version of the status